<?php
$title = "Edit Member Details";
headers(array('title'=>$title,'menu'=>1));

if($_GET['id']
   && has_permission(get_member_id($_SESSION['user']),'edit org_members')) {
  $member = get_member($_GET['id'],'members');
} else {
  $member = get_member(get_member_id($_SESSION['user']));
}

$fields = array(
  'first_name'=> array('label'   =>'First Name',
		       'type'    =>'text',
		       'required'=>1,
		       'default' =>$member->first_name,
		       'valid'   => array(
					  'preg_match("/\w+/", $val)'
					  =>'Must enter a first name'
					  ),
		       ),
  'middle_name'=>array('label'   =>'Middle Name/Initial',
		       'type'    =>'text',
		       'default' =>$member->middle_name,
		       ),
  'last_name'  =>array('label'   =>'Last Name',
		       'type'    =>'text',
		       'default' =>$member->last_name,
		       ),
  'sex'        =>array('label'   =>'Sex',
		       'type'    =>'select',
		       'options' =>array('Male','Female'),
		       'default' =>$member->sex,
		       ),
  'address1'   =>array('label'   =>'Address 1',
		       'type'    =>'text',
		       'required'=> true,
		       'default' =>$member->address1,
		       'valid'   => array(
					  'preg_match("/\w{2,}/", $val)' =>
					  'Your address must contain at '.
					  'least two letters.',
					  ),
		       ),
  'address2'   =>array('label'   =>'Address 2',
		       'type'    =>'text',
		       'default' =>$member->address2,
		       ),
  'suburb'     =>array('label'   =>'Suburb',
		       'type'    =>'text',
		       'required'=>true,
		       'default' =>$member->suburb,
		       'valid'   => array(
					  'preg_match("/\w+/", $val)'
					  =>'Must enter a suburb'
					  ),
		       ),
  'postcode'   =>array('label'   =>'Postcode',
		       'type'    =>'text',
		       'required'=>true,
		       'default' =>$member->postcode,
		       'valid'   => array(
					  'preg_match("/\w+/", $val)'
					  =>'Must enter a postcode'
					  ),
		       ),
  'state'      =>array('label'   =>'State',
		       'type'    =>'text',
		       'default' =>$member->state,
		       ),
  'country'    =>array('label'   =>'Country',
		       'type'    =>'text',
		       'required'=>true,
		       'default' =>$member->country,
		       'valid'   =>array(
					 'preg_match("/\w+/", $val)'
					 =>'Must enter a country'
					 ),
		       ),
  'email'      =>array('label'   =>'Email Address',
		       'type'    =>'text',
		       'required'=>true,
		       'default' =>$member->email,
		       'valid'   =>array(
					 'preg_match("/\w+/", $val)'
					 =>'Must enter an email address'
					 ),
		       ),
  'phone_home' =>array('label'   =>'Home Phone',
		       'type'    =>'text',
		       'default' =>$member->phone_home,
		       ),
  'phone_mobile'=>array('label'  =>'Mobile Phone',
			'type'   =>'text',
			'default'  =>$member->phone_mobile,
			),
  );

echo '<div class="stdform">';

echo '<h2>Edit Details</h2>';

$errors = validate($fields, $HTTP_POST_VARS);

if(!$errors and strtolower($_SERVER['REQUEST_METHOD']) == 'post') {
  if($_POST['sex']=='Male')
    $sexval = 'M';
  else if ($_POST['sex']=='Female')
    $sexval = 'F';
  else
    $sexval = ' ';

  sql_update('members',array(
			     'first_name'  => $_POST['first_name'],
			     'middle_name' => $_POST['middle_name'],
			     'last_name'   => $_POST['last_name'],
			     'dob'         => $_POST['dob'],
			     'sex'         => $sexval,
			     'address1'    => $_POST['address1'],
			     'address2'    => $_POST['address2'],
			     'suburb'      => $_POST['suburb'],
			     'postcode'    => $_POST['postcode'],
			     'state'       => $_POST['state'],
			     'country'     => $_POST['country'],
			     'email'       => $_POST['email'],
			     'phone_home'  => $_POST['phone_home'],
			     'phone_mobile'=> $_POST['phone_mobile']
			     ),
	     "id=".$member->id
	     );
  print '<p>Successfully updated.</p>';
}

print $errors;
output_form($fields,"Submit","post","&id=".$member->id);

echo '</div>';
?>